Package org.globus.net.protocol.https

# Class Handler

java.lang.Object
java.net.URLStreamHandler
org.globus.net.protocol.httpg.Handler
org.globus.net.protocol.https.Handler

public class Handler extends Handler

## Constructor Summary

Constructors
Constructor
Description
`Handler()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getDefaultPort()`
`protected URLConnection`
`openConnection(URL u)`

### Methods inherited from class org.globus.net.protocol.httpg.Handler

`setURL`

### Methods inherited from class java.net.URLStreamHandler

`equals, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Handler

public Handler()

## Method Details

### openConnection

protected URLConnection openConnection(URL u)

Overrides:
  `openConnection` in class `Handler`

### getDefaultPort

protected int getDefaultPort()

Overrides:
  `getDefaultPort` in class `Handler`